Tagged: 

This topic contains 0 replies, has 1 voice, and was last updated by  Vineet Talwar 3 weeks ago.

  • Author
    Posts
  • #9343

    Vineet Talwar
    Participant

    Hey, Just ran a php compatibility checker test on a fresh php7.2 machine and fresh WP install with piklist. It threw following error and warnings.

    PHP Compatibility Checker

    FILE: /var/www/html/htdocs/wp-content/plugins/piklist/add-ons/piklist-demos/parts/shortcodes/variable.php
    ————————————————————————————————————————————————————————-
    FOUND 1 ERROR AFFECTING 1 LINE
    ————————————————————————————————————————————————————————-
    6 | ERROR | Indirect access to variables, properties and methods will be evaluated strictly in left-to-right order since PHP 7.0. Use curly braces to remove ambiguity.
    ————————————————————————————————————————————————————————-

    FILE: /var/www/html/htdocs/wp-content/plugins/piklist/parts/shared/template-piklist-shortcode.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/htdocs/wp-content/plugins/piklist/parts/shared/notice-updated-hide.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/htdocs/wp-content/plugins/piklist/parts/shared/template-piklist-shortcode-inline.php
    ———————————————————————————————————————————————————————————-
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ———————————————————————————————————————————————————————————-
    1 | WARNING | No PHP code was found in this file and short open tags are not allowed by this install of PHP. This file may be using short open tags but PHP does not allow them.
    ———————————————————————————————————————————————————————————-

    FILE: /var/www/html/htdocs/wp-content/plugins/piklist/includes/class-piklist.php
    ————————————————————————————————–
    FOUND 0 ERRORS AND 1 WARNING AFFECTING 1 LINE
    ————————————————————————————————–
    2793 | WARNING | INI directive ‘safe_mode’ is deprecated since PHP 5.3 and removed since PHP 5.4
    ————————————————————————————————–

You must be logged in to reply to this topic.